summaryrefslogtreecommitdiffstats
path: root/source/ap
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap')
-rwxr-xr-xsource/ap/man-pages/man-pages.SlackBuild12
-rwxr-xr-xsource/ap/most/most.SlackBuild10
-rw-r--r--source/ap/most/most.url1
3 files changed, 13 insertions, 10 deletions
diff --git a/source/ap/man-pages/man-pages.SlackBuild b/source/ap/man-pages/man-pages.SlackBuild
index 8d0035849..c44d37fac 100755
--- a/source/ap/man-pages/man-pages.SlackBuild
+++ b/source/ap/man-pages/man-pages.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008-2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008-2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=man-pages
-VERSION=${VERSION:-$(echo man-pages-4.*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo man-pages-5.*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
ARCH=noarch
BUILD=${BUILD:-1}
@@ -43,8 +43,9 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf man-pages-$VERSION
-tar xf $CWD/man-pages-$VERSION.tar.xz
-tar xf $CWD/man-pages-posix-2013-a.tar.xz
+tar xvf $CWD/man-pages-$VERSION.tar.xz
+tar xvf $CWD/man-pages-posix-2013-a.tar.xz
+echo "Fixing permissions..."
chown -R root:root man-pages-$VERSION man-pages-posix-2013-a
chmod -R a-s,u+rw,go+r-w man-pages-$VERSION man-pages-posix-2013-a
find man-pages-$VERSION \
@@ -78,10 +79,12 @@ rm -f $PKG/usr/man/Makefile
rm -f $PKG/usr/man/Changes.old
# Compress the pages:
+echo "Compressing manpages..."
gzip -9 $PKG/usr/man/man*/*.*
# If a man page exists in some other package, assume that's the
# newer, better version:
+echo "Pruning manpages found in other packages..."
( cd $PKG
for file in usr/man/man*/*.gz ; do
if grep -l $file /var/log/packages/* | grep -v var/log/packages/man-pages ; then
@@ -98,4 +101,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/man-pages-$VERSION-$ARCH-$BUILD.txz
-
diff --git a/source/ap/most/most.SlackBuild b/source/ap/most/most.SlackBuild
index 5a9614b37..f9c1857f6 100755
--- a/source/ap/most/most.SlackBuild
+++ b/source/ap/most/most.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=most
-VERSION=5.0.0a
-BUILD=${BUILD:-3}
+VERSION=5.1.0
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -64,9 +64,10 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf most-$VERSION
-tar xvf $CWD/most-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/most-$VERSION.tar.?z || exit 1
cd most-$VERSION || exit 1
chown -R root:root .
+
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-exec chmod 755 {} \; -o \
@@ -79,7 +80,7 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--docdir=/usr/doc \
--with-slang=/usr \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
@@ -108,4 +109,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
# Build the package:
cd $PKG
/sbin/makepkg -l y -c n $TMP/most-$VERSION-$ARCH-$BUILD.txz
-
diff --git a/source/ap/most/most.url b/source/ap/most/most.url
new file mode 100644
index 000000000..7186a9a1e
--- /dev/null
+++ b/source/ap/most/most.url
@@ -0,0 +1 @@
+https://www.jedsoft.org/releases/most/